/* 
 * ------------------------------------------------------------------------------------------------
 * Copyright 2011 by Swiss Post, Information Technology Services
 * ------------------------------------------------------------------------------------------------
 * $Id: AbstractMapServerConnectionProvider.java 120 2013-03-24 21:04:20Z laurent.bovet $
 * ------------------------------------------------------------------------------------------------
 *
 */
package org.jminix.server;

import java.util.ArrayList;
import java.util.List;

import javax.management.MBeanServerConnection;

/**
 * Superclass for connection providers providing maps.
 *
 * @author bovetl
 * @version $Revision: 120 $
 * @see <script>links('$HeadURL: https://jminix.googlecode.com/svn/tags/jminix-1.1.0/jminix/src/main/java/org/jminix/server/AbstractMapServerConnectionProvider.java $');</script>
 */
public abstract class AbstractMapServerConnectionProvider implements ServerConnectionProvider {

	/**
	 * Not explicitly documented.
	 * @see org.jminix.server.ServerConnectionProvider#getConnections()
	 */
	public List<MBeanServerConnection> getConnections() {
		List<MBeanServerConnection> result = new ArrayList<MBeanServerConnection>();
		for(String key: getConnectionKeys()) {
			result.add(getConnection(key));
		}
		return result;
	}

}
