/* 
 * ------------------------------------------------------------------------------------------------
 * Copyright 2011 by Swiss Post, Information Technology Services
 * ------------------------------------------------------------------------------------------------
 * $Id: HtmlContent.java 60 2011-09-01 15:38:13Z laurent.bovet $
 * ------------------------------------------------------------------------------------------------
 *
 */
package org.jminix.type;

import java.io.Serializable;

/**
 * Marker interface for text that must be rendered as an HTML content by the console. The <code>toString()</code> method is called
 * to retrieve the HTML text.
 * 
 * <p>
 * Security Note: Beware of cross-site scripting. Take care to use this type only for content that you master because
 * the content and scripts are rendered as-is without escaping.
 * 
 * @author bovetl
 * @version $Revision: 60 $
 * @see <script>links('$HeadURL: https://jminix.googlecode.com/svn/tags/jminix-1.1.0/jminix/src/main/java/org/jminix/type/HtmlContent.java $');</script>
 */
public interface HtmlContent extends Serializable {

}
